## com.baidubce.services.moladb.model
Class DeleteRequest

    java.lang.Object
      com.baidubce.services.moladb.model.DeleteRequest

All Implemented Interfaces:
  WriteRequest

    public class DeleteRequest

extends Object
implements WriteRequest

Represents the input of a DeleteItem operation.

Constructor Summary
`DeleteRequest()` Constructs a new DeleteRequest object.

Method Summary
`Key` `getKey()` Get the Key object of an attribute, which waits to be deleted.
`void` `setKey(Key key)` Set the Key object to be deleted for this object.
`protected Map<String,Object>` `toJsonObj()`
`String` `toString()` Return a string representation of the object.
`DeleteRequest` `withKey(Key key)` Set the Key object to be deleted for this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteRequest

    public DeleteRequest()

  Constructs a new DeleteRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### withKey

    public DeleteRequest withKey(Key key)

  Set the Key object to be deleted for this object.

  Parameters:
    `key` - The Key object to be deleted for this object, the type is in Key type.
  Returns:
    Returns a reference to the object so that method calls can be chained together.

### setKey

    public void setKey(Key key)

  Set the Key object to be deleted for this object.

  Parameters:
    `key` - The Key object to be deleted for this object.

### getKey

    public Key getKey()

  Get the Key object of an attribute, which waits to be deleted.

  Returns:
    The Key object of an attribute, which waits to be deleted.

### toString

    public String toString()

  Return a string representation of the object.

  Specified by:
    `toString` in interface `WriteRequest`
  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of the object.

### toJsonObj

    protected Map<String,Object> toJsonObj()

Copyright © 2016. All rights reserved.